// (C) 2005 Max Howell (max.howell@methylblue.com)
// See COPYING file for licensing information

#ifndef CODEINE_VOLUME_ACTION_H
#define CODEINE_VOLUME_ACTION_H

#include <tdeactionclasses.h>

class VolumeAction : public TDEToggleAction
{
   TQ_OBJECT

   TQWidget *m_anchor;
   class VolumeSlider *m_widget;

   virtual bool eventFilter( TQObject *o, TQEvent *e );

   virtual int plug( TQWidget*, int );

public slots:
   void setMuted(bool mute);
   // Update Slider and Label to \a volume
   void setVolume(int volume);

private slots:
   void toggled( bool );
   void sliderMoved(int);

public:
   VolumeAction( TDEToolBar *anchor, TDEActionCollection *ac );
};

#endif
